| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::RenderQueueInvocationSequence Class Reference
Core » RenderSystem

Class to hold a linear sequence of RenderQueueInvocation objects. More...

`#include <OgreRenderQueueInvocation.h>`

Inheritance diagram for Ogre::RenderQueueInvocationSequence:
[legend]

## Public Member Functions
| RenderQueueInvocationSequence (const String &name)
| ~RenderQueueInvocationSequence ()
RenderQueueInvocation * | add (uint8 renderQueueGroupID, const String &invocationName)
| Add a standard invocation to the sequence. More...
void | add (RenderQueueInvocation *i)
| Add a custom invocation to the sequence. More...
void | clear (void)
| Clear and delete all invocations in this sequence. More...
RenderQueueInvocation * | get (size_t index)
| Gets the details of an invocation at a given index. More...
const String & | getName (void) const
| Get the name of this sequence. More...
RenderQueueInvocationIterator | iterator (void)
| Get an iterator over the invocations. More...
void | remove (size_t index)
| Removes (and deletes) an invocation by index. More...
size_t | size (void) const
| Get the number of invocations in this sequence. More...

## Detailed Description

Class to hold a linear sequence of RenderQueueInvocation objects.

Remarks
  This is just a simple data holder class which contains a list of RenderQueueInvocation objects representing the sequence of invocations made for a viewport. It's only real purpose is to ensure that RenderQueueInvocation instances are deleted on shutdown, since you can provide your own subclass instances on RenderQueueInvocation. Remember that any invocation instances you give to this class will be deleted by it when it is cleared / destroyed.

## Constructor & Destructor Documentation

## ◆ RenderQueueInvocationSequence()

Ogre::RenderQueueInvocationSequence::RenderQueueInvocationSequence | ( | const String & | name | ) |

## ◆ ~RenderQueueInvocationSequence()

Ogre::RenderQueueInvocationSequence::~RenderQueueInvocationSequence | ( |  | ) |

## Member Function Documentation

## ◆ getName()

const String& Ogre::RenderQueueInvocationSequence::getName | ( | void |  | ) | const
| inline

Get the name of this sequence.

## ◆ add() [1/2]

RenderQueueInvocation* Ogre::RenderQueueInvocationSequence::add | ( | uint8 | renderQueueGroupID,
|  | const String & | invocationName
| ) |  |

Add a standard invocation to the sequence.

Parameters

  renderQueueGroupID | The ID of the render queue group
  invocationName | Optional name to identify the invocation, useful for listeners if a single queue group is invoked more than once

Returns
  A new RenderQueueInvocatin instance which you may customise

## ◆ add() [2/2]

void Ogre::RenderQueueInvocationSequence::add | ( | RenderQueueInvocation * | i | ) |

Add a custom invocation to the sequence.

Remarks
  Use this to add your own custom subclasses of RenderQueueInvocation to the sequence; just remember that this class takes ownership of deleting this pointer when it is cleared / destroyed.

## ◆ size()

size_t Ogre::RenderQueueInvocationSequence::size | ( | void |  | ) | const
| inline

Get the number of invocations in this sequence.

## ◆ clear()

void Ogre::RenderQueueInvocationSequence::clear | ( | void |  | ) |

Clear and delete all invocations in this sequence.

## ◆ get()

RenderQueueInvocation* Ogre::RenderQueueInvocationSequence::get | ( | size_t | index | ) |

Gets the details of an invocation at a given index.

## ◆ remove()

void Ogre::RenderQueueInvocationSequence::remove | ( | size_t | index | ) |

Removes (and deletes) an invocation by index.

## ◆ iterator()

RenderQueueInvocationIterator Ogre::RenderQueueInvocationSequence::iterator | ( | void |  | ) |

Get an iterator over the invocations.

The documentation for this class was generated from the following file:

- OgreRenderQueueInvocation.h